"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCandyMachineV2 = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const umi_1 = require("@metaplex-foundation/umi");
const generated_1 = require("./generated");
const hooked_1 = require("./hooked");
const createCandyMachineV2 = async (context, input) => {
    const space = (0, hooked_1.getCandyMachineSize)(input.itemsAvailable, input.configLineSettings ?? (0, umi_1.none)(), input.tokenStandard);
    const lamports = await context.rpc.getRent(space);
    return (0, umi_1.transactionBuilder)()
        .add((0, mpl_essentials_1.createAccount)(context, {
        newAccount: input.candyMachine,
        lamports,
        space,
        programId: context.programs.get('mplCandyMachineCore').publicKey,
    }))
        .add((0, generated_1.initializeCandyMachineV2)(context, {
        ...input,
        candyMachine: input.candyMachine.publicKey,
    }));
};
exports.createCandyMachineV2 = createCandyMachineV2;
//# sourceMappingURL=createCandyMachineV2.js.map