"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allowListGuardManifest = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const umi_1 = require("@metaplex-foundation/umi");
const generated_1 = require("../generated");
exports.allowListGuardManifest = {
    name: 'allowList',
    serializer: generated_1.getAllowListSerializer,
    mintParser: (context, mintContext, args) => ({
        data: new Uint8Array(),
        remainingAccounts: [
            {
                isWritable: false,
                publicKey: (0, generated_1.findAllowListProofPda)(context, {
                    merkleRoot: args.merkleRoot,
                    user: mintContext.minter.publicKey,
                    candyMachine: mintContext.candyMachine,
                    candyGuard: mintContext.candyGuard,
                }),
            },
        ],
    }),
    routeParser: (context, routeContext, args) => ({
        data: context.serializer
            .array(context.serializer.bytes({ size: 32 }))
            .serialize(args.merkleProof),
        remainingAccounts: [
            {
                isWritable: true,
                publicKey: (0, generated_1.findAllowListProofPda)(context, {
                    merkleRoot: args.merkleRoot,
                    user: (0, umi_1.publicKey)(args.minter ?? routeContext.payer),
                    candyMachine: routeContext.candyMachine,
                    candyGuard: routeContext.candyGuard,
                }),
            },
            { isWritable: false, publicKey: (0, mpl_essentials_1.getSplSystemProgramId)(context) },
            ...(args.minter !== undefined
                ? [{ signer: args.minter, isWritable: false }]
                : []),
        ],
    }),
};
//# sourceMappingURL=allowList.js.map