import { Option } from '@metaplex-foundation/umi';
import { AddressGate, AddressGateArgs, AllowList, AllowListArgs, BotTax, BotTaxArgs, EndDate, EndDateArgs, FreezeSolPayment, FreezeSolPaymentArgs, FreezeTokenPayment, FreezeTokenPaymentArgs, Gatekeeper, GatekeeperArgs, MintLimit, MintLimitArgs, NftBurn, NftBurnArgs, NftGate, NftGateArgs, NftPayment, NftPaymentArgs, ProgramGate, ProgramGateArgs, RedeemedAmount, RedeemedAmountArgs, SolPayment, SolPaymentArgs, StartDate, StartDateArgs, ThirdPartySigner, ThirdPartySignerArgs, TokenBurn, TokenBurnArgs, TokenGate, TokenGateArgs, TokenPayment, TokenPaymentArgs } from '../generated';
import { GuardSet, GuardSetArgs, GuardSetMintArgs, GuardSetRouteArgs } from '../guards/guardSet';
import { AllowListMintArgs, AllowListRouteArgs } from './allowList';
import { FreezeSolPaymentMintArgs, FreezeSolPaymentRouteArgs } from './freezeSolPayment';
import { FreezeTokenPaymentMintArgs, FreezeTokenPaymentRouteArgs } from './freezeTokenPayment';
import { GatekeeperMintArgs } from './gatekeeper';
import { MintLimitMintArgs } from './mintLimit';
import { NftBurnMintArgs } from './nftBurn';
import { NftGateMintArgs } from './nftGate';
import { NftPaymentMintArgs } from './nftPayment';
import { SolPaymentMintArgs } from './solPayment';
import { ThirdPartySignerMintArgs } from './thirdPartySigner';
import { TokenBurnMintArgs } from './tokenBurn';
import { TokenGateMintArgs } from './tokenGate';
import { TokenPaymentMintArgs } from './tokenPayment';
export type DefaultGuardSetArgs = GuardSetArgs & {
    botTax: Option<BotTaxArgs>;
    solPayment: Option<SolPaymentArgs>;
    tokenPayment: Option<TokenPaymentArgs>;
    startDate: Option<StartDateArgs>;
    thirdPartySigner: Option<ThirdPartySignerArgs>;
    tokenGate: Option<TokenGateArgs>;
    gatekeeper: Option<GatekeeperArgs>;
    endDate: Option<EndDateArgs>;
    allowList: Option<AllowListArgs>;
    mintLimit: Option<MintLimitArgs>;
    nftPayment: Option<NftPaymentArgs>;
    redeemedAmount: Option<RedeemedAmountArgs>;
    addressGate: Option<AddressGateArgs>;
    nftGate: Option<NftGateArgs>;
    nftBurn: Option<NftBurnArgs>;
    tokenBurn: Option<TokenBurnArgs>;
    freezeSolPayment: Option<FreezeSolPaymentArgs>;
    freezeTokenPayment: Option<FreezeTokenPaymentArgs>;
    programGate: Option<ProgramGateArgs>;
};
export type DefaultGuardSet = GuardSet & {
    botTax: Option<BotTax>;
    solPayment: Option<SolPayment>;
    tokenPayment: Option<TokenPayment>;
    startDate: Option<StartDate>;
    thirdPartySigner: Option<ThirdPartySigner>;
    tokenGate: Option<TokenGate>;
    gatekeeper: Option<Gatekeeper>;
    endDate: Option<EndDate>;
    allowList: Option<AllowList>;
    mintLimit: Option<MintLimit>;
    nftPayment: Option<NftPayment>;
    redeemedAmount: Option<RedeemedAmount>;
    addressGate: Option<AddressGate>;
    nftGate: Option<NftGate>;
    nftBurn: Option<NftBurn>;
    tokenBurn: Option<TokenBurn>;
    freezeSolPayment: Option<FreezeSolPayment>;
    freezeTokenPayment: Option<FreezeTokenPayment>;
    programGate: Option<ProgramGate>;
};
export type DefaultGuardSetMintArgs = GuardSetMintArgs & {
    solPayment: Option<SolPaymentMintArgs>;
    tokenPayment: Option<TokenPaymentMintArgs>;
    thirdPartySigner: Option<ThirdPartySignerMintArgs>;
    tokenGate: Option<TokenGateMintArgs>;
    gatekeeper: Option<GatekeeperMintArgs>;
    allowList: Option<AllowListMintArgs>;
    mintLimit: Option<MintLimitMintArgs>;
    nftPayment: Option<NftPaymentMintArgs>;
    nftGate: Option<NftGateMintArgs>;
    nftBurn: Option<NftBurnMintArgs>;
    tokenBurn: Option<TokenBurnMintArgs>;
    freezeSolPayment: Option<FreezeSolPaymentMintArgs>;
    freezeTokenPayment: Option<FreezeTokenPaymentMintArgs>;
};
export type DefaultGuardSetRouteArgs = GuardSetRouteArgs & {
    allowList: AllowListRouteArgs;
    freezeSolPayment: FreezeSolPaymentRouteArgs;
    freezeTokenPayment: FreezeTokenPaymentRouteArgs;
};
export declare const defaultCandyGuardNames: string[];
export declare const emptyDefaultGuardSetArgs: DefaultGuardSetArgs;
