import { TokenStandard } from '@metaplex-foundation/mpl-token-metadata';
import { PublicKey, Signer } from '@metaplex-foundation/umi';
import { FreezeSolPayment, FreezeSolPaymentArgs } from '../generated';
import { GuardManifest } from '../guards';
export declare const freezeSolPaymentGuardManifest: GuardManifest<FreezeSolPaymentArgs, FreezeSolPayment, FreezeSolPaymentMintArgs, FreezeSolPaymentRouteArgs>;
export type FreezeSolPaymentMintArgs = Omit<FreezeSolPaymentArgs, 'lamports'> & {
    nftRuleSet?: PublicKey;
};
export type FreezeSolPaymentRouteArgs = FreezeSolPaymentRouteArgsInitialize | FreezeSolPaymentRouteArgsThaw | FreezeSolPaymentRouteArgsUnlockFunds;
export type FreezeSolPaymentRouteArgsInitialize = Omit<FreezeSolPaymentArgs, 'lamports'> & {
    path: 'initialize';
    period: number;
    candyGuardAuthority: Signer;
};
export type FreezeSolPaymentRouteArgsThaw = Omit<FreezeSolPaymentArgs, 'lamports'> & {
    path: 'thaw';
    nftMint: PublicKey;
    nftOwner: PublicKey;
    nftTokenStandard: TokenStandard;
    nftRuleSet?: PublicKey;
};
export type FreezeSolPaymentRouteArgsUnlockFunds = Omit<FreezeSolPaymentArgs, 'lamports'> & {
    path: 'unlockFunds';
    candyGuardAuthority: Signer;
};
