import { TokenStandard } from '@metaplex-foundation/mpl-token-metadata';
import { PublicKey, Signer } from '@metaplex-foundation/umi';
import { FreezeTokenPayment, FreezeTokenPaymentArgs } from '../generated';
import { GuardManifest } from '../guards';
export declare const freezeTokenPaymentGuardManifest: GuardManifest<FreezeTokenPaymentArgs, FreezeTokenPayment, FreezeTokenPaymentMintArgs, FreezeTokenPaymentRouteArgs>;
export type FreezeTokenPaymentMintArgs = Omit<FreezeTokenPaymentArgs, 'amount'> & {
    nftRuleSet?: PublicKey;
};
export type FreezeTokenPaymentRouteArgs = FreezeTokenPaymentRouteArgsInitialize | FreezeTokenPaymentRouteArgsThaw | FreezeTokenPaymentRouteArgsUnlockFunds;
export type FreezeTokenPaymentRouteArgsInitialize = Omit<FreezeTokenPaymentArgs, 'amount'> & {
    path: 'initialize';
    period: number;
    candyGuardAuthority: Signer;
};
export type FreezeTokenPaymentRouteArgsThaw = Omit<FreezeTokenPaymentArgs, 'amount'> & {
    path: 'thaw';
    nftMint: PublicKey;
    nftOwner: PublicKey;
    nftTokenStandard: TokenStandard;
    nftRuleSet?: PublicKey;
};
export type FreezeTokenPaymentRouteArgsUnlockFunds = Omit<FreezeTokenPaymentArgs, 'amount'> & {
    path: 'unlockFunds';
    candyGuardAuthority: Signer;
};
