"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gatekeeperGuardManifest = void 0;
const generated_1 = require("../generated");
const guards_1 = require("../guards");
exports.gatekeeperGuardManifest = {
    name: 'gatekeeper',
    serializer: generated_1.getGatekeeperSerializer,
    mintParser: (context, mintContext, args) => {
        const s = context.serializer;
        const gatewayProgramId = context.programs.getPublicKey('civicGateway', 'gatem74V238djXdzWnJf94Wo1DcnuGkfijbf3AuBhfs');
        const tokenAccount = args?.tokenAccount ??
            context.eddsa.findPda(gatewayProgramId, [
                s.publicKey().serialize(mintContext.minter),
                s.string({ size: 'variable' }).serialize('gateway'),
                new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]),
                s.publicKey().serialize(args.gatekeeperNetwork),
            ]);
        const remainingAccounts = [
            { publicKey: tokenAccount, isWritable: true },
        ];
        if (args.expireOnUse) {
            const expireAccount = context.eddsa.findPda(gatewayProgramId, [
                s.publicKey().serialize(args.gatekeeperNetwork),
                s.string({ size: 'variable' }).serialize('expire'),
            ]);
            remainingAccounts.push({
                publicKey: gatewayProgramId,
                isWritable: false,
            });
            remainingAccounts.push({
                publicKey: expireAccount,
                isWritable: false,
            });
        }
        return { data: new Uint8Array(), remainingAccounts };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=gatekeeper.js.map