"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nftGateGuardManifest = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const mpl_token_metadata_1 = require("@metaplex-foundation/mpl-token-metadata");
const generated_1 = require("../generated");
const guards_1 = require("../guards");
exports.nftGateGuardManifest = {
    name: 'nftGate',
    serializer: generated_1.getNftGateSerializer,
    mintParser: (context, mintContext, args) => {
        const tokenAccount = args.tokenAccount ??
            (0, mpl_essentials_1.findAssociatedTokenPda)(context, {
                mint: args.mint,
                owner: mintContext.minter.publicKey,
            });
        const tokenMetadata = (0, mpl_token_metadata_1.findMetadataPda)(context, { mint: args.mint });
        return {
            data: new Uint8Array(),
            remainingAccounts: [
                { publicKey: tokenAccount, isWritable: false },
                { publicKey: tokenMetadata, isWritable: false },
            ],
        };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=nftGate.js.map