"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tokenBurnGuardManifest = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const generated_1 = require("../generated");
const guards_1 = require("../guards");
exports.tokenBurnGuardManifest = {
    name: 'tokenBurn',
    serializer: generated_1.getTokenBurnSerializer,
    mintParser: (context, mintContext, args) => {
        const tokenAccount = (0, mpl_essentials_1.findAssociatedTokenPda)(context, {
            mint: args.mint,
            owner: mintContext.minter.publicKey,
        });
        return {
            data: new Uint8Array(),
            remainingAccounts: [
                { publicKey: tokenAccount, isWritable: true },
                { publicKey: args.mint, isWritable: true },
            ],
        };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=tokenBurn.js.map