"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tokenGateGuardManifest = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const generated_1 = require("../generated");
const guards_1 = require("../guards");
exports.tokenGateGuardManifest = {
    name: 'tokenGate',
    serializer: generated_1.getTokenGateSerializer,
    mintParser: (context, mintContext, args) => {
        const tokenAccount = (0, mpl_essentials_1.findAssociatedTokenPda)(context, {
            mint: args.mint,
            owner: mintContext.minter.publicKey,
        });
        return {
            data: new Uint8Array(),
            remainingAccounts: [{ publicKey: tokenAccount, isWritable: true }],
        };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=tokenGate.js.map