"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tokenPaymentGuardManifest = void 0;
const mpl_essentials_1 = require("@metaplex-foundation/mpl-essentials");
const generated_1 = require("../generated");
const guards_1 = require("../guards");
exports.tokenPaymentGuardManifest = {
    name: 'tokenPayment',
    serializer: generated_1.getTokenPaymentSerializer,
    mintParser: (context, mintContext, args) => {
        const sourceAta = (0, mpl_essentials_1.findAssociatedTokenPda)(context, {
            mint: args.mint,
            owner: mintContext.minter.publicKey,
        });
        return {
            data: new Uint8Array(),
            remainingAccounts: [
                { publicKey: sourceAta, isWritable: true },
                { publicKey: args.destinationAta, isWritable: true },
            ],
        };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=tokenPayment.js.map