import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type AllowListProof = Account<AllowListProofAccountData>;
export type AllowListProofAccountData = {
    timestamp: bigint;
};
export type AllowListProofAccountDataArgs = {
    timestamp: number | bigint;
};
export declare function getAllowListProofAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AllowListProofAccountDataArgs, AllowListProofAccountData>;
export declare function deserializeAllowListProof(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): AllowListProof;
export declare function fetchAllowListProof(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<AllowListProof>;
export declare function safeFetchAllowListProof(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<AllowListProof | null>;
export declare function fetchAllAllowListProof(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<AllowListProof[]>;
export declare function safeFetchAllAllowListProof(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<AllowListProof[]>;
export declare function getAllowListProofGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<AllowListProof, {
    timestamp: number | bigint;
}>;
export declare function getAllowListProofSize(): number;
export declare function findAllowListProofPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    merkleRoot: Uint8Array;
    user: PublicKey;
    candyGuard: PublicKey;
    candyMachine: PublicKey;
}): Pda;
