"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findAllowListProofPda = exports.getAllowListProofSize = exports.getAllowListProofGpaBuilder = exports.safeFetchAllAllowListProof = exports.fetchAllAllowListProof = exports.safeFetchAllowListProof = exports.fetchAllowListProof = exports.deserializeAllowListProof = exports.getAllowListProofAccountDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getAllowListProofAccountDataSerializer(context) {
    const s = context.serializer;
    return s.struct([['timestamp', s.i64()]], {
        description: 'AllowListProof',
    });
}
exports.getAllowListProofAccountDataSerializer = getAllowListProofAccountDataSerializer;
function deserializeAllowListProof(context, rawAccount) {
    return (0, umi_1.deserializeAccount)(rawAccount, getAllowListProofAccountDataSerializer(context));
}
exports.deserializeAllowListProof = deserializeAllowListProof;
async function fetchAllowListProof(context, publicKey, options) {
    const maybeAccount = await context.rpc.getAccount(publicKey, options);
    (0, umi_1.assertAccountExists)(maybeAccount, 'AllowListProof');
    return deserializeAllowListProof(context, maybeAccount);
}
exports.fetchAllowListProof = fetchAllowListProof;
async function safeFetchAllowListProof(context, publicKey, options) {
    const maybeAccount = await context.rpc.getAccount(publicKey, options);
    return maybeAccount.exists
        ? deserializeAllowListProof(context, maybeAccount)
        : null;
}
exports.safeFetchAllowListProof = safeFetchAllowListProof;
async function fetchAllAllowListProof(context, publicKeys, options) {
    const maybeAccounts = await context.rpc.getAccounts(publicKeys, options);
    return maybeAccounts.map((maybeAccount) => {
        (0, umi_1.assertAccountExists)(maybeAccount, 'AllowListProof');
        return deserializeAllowListProof(context, maybeAccount);
    });
}
exports.fetchAllAllowListProof = fetchAllAllowListProof;
async function safeFetchAllAllowListProof(context, publicKeys, options) {
    const maybeAccounts = await context.rpc.getAccounts(publicKeys, options);
    return maybeAccounts
        .filter((maybeAccount) => maybeAccount.exists)
        .map((maybeAccount) => deserializeAllowListProof(context, maybeAccount));
}
exports.safeFetchAllAllowListProof = safeFetchAllAllowListProof;
function getAllowListProofGpaBuilder(context) {
    const s = context.serializer;
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    return (0, umi_1.gpaBuilder)(context, programId)
        .registerFields({ timestamp: [0, s.i64()] })
        .deserializeUsing((account) => deserializeAllowListProof(context, account))
        .whereSize(4);
}
exports.getAllowListProofGpaBuilder = getAllowListProofGpaBuilder;
function getAllowListProofSize() {
    return 4;
}
exports.getAllowListProofSize = getAllowListProofSize;
function findAllowListProofPda(context, seeds) {
    const s = context.serializer;
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    return context.eddsa.findPda(programId, [
        s.string({ size: 'variable' }).serialize('allow_list'),
        s.bytes({ size: 32 }).serialize(seeds.merkleRoot),
        s.publicKey().serialize(seeds.user),
        s.publicKey().serialize(seeds.candyGuard),
        s.publicKey().serialize(seeds.candyMachine),
    ]);
}
exports.findAllowListProofPda = findAllowListProofPda;
//# sourceMappingURL=allowListProof.js.map