import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type CandyGuard = Account<CandyGuardAccountData>;
export type CandyGuardAccountData = {
    discriminator: Array<number>;
    base: PublicKey;
    bump: number;
    authority: PublicKey;
};
export type CandyGuardAccountDataArgs = {
    base: PublicKey;
    bump: number;
    authority: PublicKey;
};
export declare function getCandyGuardAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CandyGuardAccountDataArgs, CandyGuardAccountData>;
export declare function deserializeCandyGuard(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): CandyGuard;
export declare function fetchCandyGuard(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<CandyGuard>;
export declare function safeFetchCandyGuard(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<CandyGuard | null>;
export declare function fetchAllCandyGuard(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<CandyGuard[]>;
export declare function safeFetchAllCandyGuard(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<CandyGuard[]>;
export declare function getCandyGuardGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<CandyGuard, {
    discriminator: Array<number>;
    base: PublicKey;
    bump: number;
    authority: PublicKey;
}>;
export declare function getCandyGuardSize(): number;
export declare function findCandyGuardPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    base: PublicKey;
}): Pda;
