"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findCandyGuardPda = exports.getCandyGuardSize = exports.getCandyGuardGpaBuilder = exports.safeFetchAllCandyGuard = exports.fetchAllCandyGuard = exports.safeFetchCandyGuard = exports.fetchCandyGuard = exports.deserializeCandyGuard = exports.getCandyGuardAccountDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getCandyGuardAccountDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['base', s.publicKey()],
        ['bump', s.u8()],
        ['authority', s.publicKey()],
    ], { description: 'CandyGuard' }), (value) => ({
        ...value,
        discriminator: [95, 25, 33, 117, 164, 206, 9, 250],
    }));
}
exports.getCandyGuardAccountDataSerializer = getCandyGuardAccountDataSerializer;
function deserializeCandyGuard(context, rawAccount) {
    return (0, umi_1.deserializeAccount)(rawAccount, getCandyGuardAccountDataSerializer(context));
}
exports.deserializeCandyGuard = deserializeCandyGuard;
async function fetchCandyGuard(context, publicKey, options) {
    const maybeAccount = await context.rpc.getAccount(publicKey, options);
    (0, umi_1.assertAccountExists)(maybeAccount, 'CandyGuard');
    return deserializeCandyGuard(context, maybeAccount);
}
exports.fetchCandyGuard = fetchCandyGuard;
async function safeFetchCandyGuard(context, publicKey, options) {
    const maybeAccount = await context.rpc.getAccount(publicKey, options);
    return maybeAccount.exists
        ? deserializeCandyGuard(context, maybeAccount)
        : null;
}
exports.safeFetchCandyGuard = safeFetchCandyGuard;
async function fetchAllCandyGuard(context, publicKeys, options) {
    const maybeAccounts = await context.rpc.getAccounts(publicKeys, options);
    return maybeAccounts.map((maybeAccount) => {
        (0, umi_1.assertAccountExists)(maybeAccount, 'CandyGuard');
        return deserializeCandyGuard(context, maybeAccount);
    });
}
exports.fetchAllCandyGuard = fetchAllCandyGuard;
async function safeFetchAllCandyGuard(context, publicKeys, options) {
    const maybeAccounts = await context.rpc.getAccounts(publicKeys, options);
    return maybeAccounts
        .filter((maybeAccount) => maybeAccount.exists)
        .map((maybeAccount) => deserializeCandyGuard(context, maybeAccount));
}
exports.safeFetchAllCandyGuard = safeFetchAllCandyGuard;
function getCandyGuardGpaBuilder(context) {
    const s = context.serializer;
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    return (0, umi_1.gpaBuilder)(context, programId)
        .registerFields({
        discriminator: [0, s.array(s.u8(), { size: 8 })],
        base: [8, s.publicKey()],
        bump: [40, s.u8()],
        authority: [41, s.publicKey()],
    })
        .deserializeUsing((account) => deserializeCandyGuard(context, account))
        .whereField('discriminator', [95, 25, 33, 117, 164, 206, 9, 250]);
}
exports.getCandyGuardGpaBuilder = getCandyGuardGpaBuilder;
function getCandyGuardSize() {
    return 73;
}
exports.getCandyGuardSize = getCandyGuardSize;
function findCandyGuardPda(context, seeds) {
    const s = context.serializer;
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    return context.eddsa.findPda(programId, [
        s.string({ size: 'variable' }).serialize('candy_guard'),
        s.publicKey().serialize(seeds.base),
    ]);
}
exports.findCandyGuardPda = findCandyGuardPda;
//# sourceMappingURL=candyGuard.js.map