import { TokenStandardArgs } from '@metaplex-foundation/mpl-token-metadata';
import { Account, Context, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions } from '@metaplex-foundation/umi';
import { CandyMachineAccountData } from '../../hooked';
import { AccountVersionArgs, CandyMachineDataArgs } from '../types';
export type CandyMachine = Account<CandyMachineAccountData>;
export declare function deserializeCandyMachine(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): CandyMachine;
export declare function fetchCandyMachine(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<CandyMachine>;
export declare function safeFetchCandyMachine(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<CandyMachine | null>;
export declare function fetchAllCandyMachine(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<CandyMachine[]>;
export declare function safeFetchAllCandyMachine(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<CandyMachine[]>;
export declare function getCandyMachineGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<CandyMachine, {
    discriminator: Array<number>;
    version: AccountVersionArgs;
    tokenStandard: TokenStandardArgs;
    features: Array<number>;
    authority: PublicKey;
    mintAuthority: PublicKey;
    collectionMint: PublicKey;
    itemsRedeemed: number | bigint;
    data: CandyMachineDataArgs;
}>;
