import { Account, Context, Option, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type FreezeEscrow = Account<FreezeEscrowAccountData>;
export type FreezeEscrowAccountData = {
    discriminator: Array<number>;
    candyGuard: PublicKey;
    candyMachine: PublicKey;
    frozenCount: bigint;
    firstMintTime: Option<bigint>;
    freezePeriod: bigint;
    destination: PublicKey;
    authority: PublicKey;
};
export type FreezeEscrowAccountDataArgs = {
    candyGuard: PublicKey;
    candyMachine: PublicKey;
    frozenCount: number | bigint;
    firstMintTime: Option<number | bigint>;
    freezePeriod: number | bigint;
    destination: PublicKey;
    authority: PublicKey;
};
export declare function getFreezeEscrowAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<FreezeEscrowAccountDataArgs, FreezeEscrowAccountData>;
export declare function deserializeFreezeEscrow(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): FreezeEscrow;
export declare function fetchFreezeEscrow(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FreezeEscrow>;
export declare function safeFetchFreezeEscrow(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FreezeEscrow | null>;
export declare function fetchAllFreezeEscrow(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FreezeEscrow[]>;
export declare function safeFetchAllFreezeEscrow(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FreezeEscrow[]>;
export declare function getFreezeEscrowGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<FreezeEscrow, {
    discriminator: Array<number>;
    candyGuard: PublicKey;
    candyMachine: PublicKey;
    frozenCount: number | bigint;
    firstMintTime: Option<number | bigint>;
    freezePeriod: number | bigint;
    destination: PublicKey;
    authority: PublicKey;
}>;
export declare function findFreezeEscrowPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    destination: PublicKey;
    candyGuard: PublicKey;
    candyMachine: PublicKey;
}): Pda;
