import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type MintCounter = Account<MintCounterAccountData>;
export type MintCounterAccountData = {
    count: number;
};
export type MintCounterAccountDataArgs = MintCounterAccountData;
export declare function getMintCounterAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintCounterAccountDataArgs, MintCounterAccountData>;
export declare function deserializeMintCounter(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): MintCounter;
export declare function fetchMintCounter(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MintCounter>;
export declare function safeFetchMintCounter(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MintCounter | null>;
export declare function fetchAllMintCounter(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MintCounter[]>;
export declare function safeFetchAllMintCounter(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MintCounter[]>;
export declare function getMintCounterGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<MintCounter, {
    count: number;
}>;
export declare function getMintCounterSize(): number;
export declare function findMintCounterPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    id: number;
    user: PublicKey;
    candyGuard: PublicKey;
    candyMachine: PublicKey;
}): Pda;
