import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { ConfigLine, ConfigLineArgs } from '../types';
export type AddConfigLinesInstructionAccounts = {
    candyMachine: PublicKey;
    authority?: Signer;
};
export type AddConfigLinesInstructionData = {
    discriminator: Array<number>;
    index: number;
    configLines: Array<ConfigLine>;
};
export type AddConfigLinesInstructionDataArgs = {
    index: number;
    configLines: Array<ConfigLineArgs>;
};
export declare function getAddConfigLinesInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddConfigLinesInstructionDataArgs, AddConfigLinesInstructionData>;
export declare function addConfigLines(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: AddConfigLinesInstructionAccounts & AddConfigLinesInstructionDataArgs): TransactionBuilder;
