"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addConfigLines = exports.getAddConfigLinesInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getAddConfigLinesInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['index', s.u32()],
        ['configLines', s.array((0, types_1.getConfigLineSerializer)(context))],
    ], { description: 'AddConfigLinesInstructionData' }), (value) => ({
        ...value,
        discriminator: [223, 50, 224, 227, 151, 8, 115, 106],
    }));
}
exports.getAddConfigLinesInstructionDataSerializer = getAddConfigLinesInstructionDataSerializer;
function addConfigLines(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyMachineCore', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR');
    const candyMachineAccount = input.candyMachine;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    const data = getAddConfigLinesInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.addConfigLines = addConfigLines;
//# sourceMappingURL=addConfigLines.js.map