"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteCandyGuard = exports.getDeleteCandyGuardInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getDeleteCandyGuardInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.array(s.u8(), { size: 8 })]], { description: 'DeleteCandyGuardInstructionData' }), (value) => ({
        ...value,
        discriminator: [183, 18, 70, 156, 148, 109, 161, 34],
    }));
}
exports.getDeleteCandyGuardInstructionDataSerializer = getDeleteCandyGuardInstructionDataSerializer;
function deleteCandyGuard(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    const candyGuardAccount = input.candyGuard;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyGuardAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyGuardAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, true),
    });
    const data = getDeleteCandyGuardInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.deleteCandyGuard = deleteCandyGuard;
//# sourceMappingURL=deleteCandyGuard.js.map