"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteCandyMachine = exports.getDeleteCandyMachineInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getDeleteCandyMachineInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.array(s.u8(), { size: 8 })]], { description: 'DeleteCandyMachineInstructionData' }), (value) => ({
        ...value,
        discriminator: [183, 18, 70, 156, 148, 109, 161, 34],
    }));
}
exports.getDeleteCandyMachineInstructionDataSerializer = getDeleteCandyMachineInstructionDataSerializer;
function deleteCandyMachine(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyMachineCore', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR');
    const candyMachineAccount = input.candyMachine;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, true),
    });
    const data = getDeleteCandyMachineInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.deleteCandyMachine = deleteCandyMachine;
//# sourceMappingURL=deleteCandyMachine.js.map