import { Amount, Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { ConfigLineSettings, ConfigLineSettingsArgs, Creator, CreatorArgs, HiddenSettings, HiddenSettingsArgs } from '../types';
export type InitializeCandyMachineInstructionAccounts = {
    candyMachine: PublicKey;
    authorityPda?: PublicKey;
    authority?: PublicKey;
    payer?: Signer;
    collectionMetadata?: PublicKey;
    collectionMint: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: Signer;
    collectionAuthorityRecord?: PublicKey;
    tokenMetadataProgram?: PublicKey;
    systemProgram?: PublicKey;
};
export type InitializeCandyMachineInstructionData = {
    discriminator: Array<number>;
    itemsAvailable: bigint;
    symbol: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply: bigint;
    isMutable: boolean;
    creators: Array<Creator>;
    configLineSettings: Option<ConfigLineSettings>;
    hiddenSettings: Option<HiddenSettings>;
};
export type InitializeCandyMachineInstructionDataArgs = {
    itemsAvailable: number | bigint;
    symbol?: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply?: number | bigint;
    isMutable?: boolean;
    creators: Array<CreatorArgs>;
    configLineSettings?: Option<ConfigLineSettingsArgs>;
    hiddenSettings?: Option<HiddenSettingsArgs>;
};
export declare function getInitializeCandyMachineInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeCandyMachineInstructionDataArgs, InitializeCandyMachineInstructionData>;
export declare function initializeCandyMachine(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: InitializeCandyMachineInstructionAccounts & InitializeCandyMachineInstructionDataArgs): TransactionBuilder;
