import { TokenStandard, TokenStandardArgs } from '@metaplex-foundation/mpl-token-metadata';
import { Amount, Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { ConfigLineSettings, ConfigLineSettingsArgs, Creator, CreatorArgs, HiddenSettings, HiddenSettingsArgs } from '../types';
export type InitializeCandyMachineV2InstructionAccounts = {
    candyMachine: PublicKey;
    authorityPda?: PublicKey;
    authority?: PublicKey;
    payer?: Signer;
    ruleSet?: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMint: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: Signer;
    collectionDelegateRecord?: PublicKey;
    tokenMetadataProgram?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type InitializeCandyMachineV2InstructionData = {
    discriminator: Array<number>;
    itemsAvailable: bigint;
    symbol: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply: bigint;
    isMutable: boolean;
    creators: Array<Creator>;
    configLineSettings: Option<ConfigLineSettings>;
    hiddenSettings: Option<HiddenSettings>;
    tokenStandard: TokenStandard;
};
export type InitializeCandyMachineV2InstructionDataArgs = {
    itemsAvailable: number | bigint;
    symbol?: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply?: number | bigint;
    isMutable?: boolean;
    creators: Array<CreatorArgs>;
    configLineSettings?: Option<ConfigLineSettingsArgs>;
    hiddenSettings?: Option<HiddenSettingsArgs>;
    tokenStandard: TokenStandardArgs;
};
export declare function getInitializeCandyMachineV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeCandyMachineV2InstructionDataArgs, InitializeCandyMachineV2InstructionData>;
export declare function initializeCandyMachineV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: InitializeCandyMachineV2InstructionAccounts & InitializeCandyMachineV2InstructionDataArgs): TransactionBuilder;
