import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintInstructionAccounts = {
    candyGuard?: PublicKey;
    candyMachineProgram?: PublicKey;
    candyMachine: PublicKey;
    candyMachineAuthorityPda?: PublicKey;
    payer?: Signer;
    nftMetadata?: PublicKey;
    nftMint: PublicKey;
    nftMintAuthority?: Signer;
    nftMasterEdition?: PublicKey;
    collectionAuthorityRecord?: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: PublicKey;
    tokenMetadataProgram?: PublicKey;
    tokenProgram?: PublicKey;
    systemProgram?: PublicKey;
    recentSlothashes?: PublicKey;
    instructionSysvarAccount?: PublicKey;
};
export type MintInstructionData = {
    discriminator: Array<number>;
    mintArgs: Uint8Array;
    group: Option<string>;
};
export type MintInstructionDataArgs = {
    mintArgs: Uint8Array;
    group: Option<string>;
};
export declare function getMintInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintInstructionDataArgs, MintInstructionData>;
export declare function mint(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MintInstructionAccounts & MintInstructionDataArgs): TransactionBuilder;
