import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintFromCandyMachineInstructionAccounts = {
    candyMachine: PublicKey;
    authorityPda?: PublicKey;
    mintAuthority: Signer;
    payer?: Signer;
    nftMint: PublicKey;
    nftMintAuthority?: Signer;
    nftMetadata?: PublicKey;
    nftMasterEdition?: PublicKey;
    collectionAuthorityRecord?: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: PublicKey;
    tokenMetadataProgram?: PublicKey;
    tokenProgram?: PublicKey;
    systemProgram?: PublicKey;
    recentSlothashes?: PublicKey;
};
export type MintFromCandyMachineInstructionData = {
    discriminator: Array<number>;
};
export type MintFromCandyMachineInstructionDataArgs = {};
export declare function getMintFromCandyMachineInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintFromCandyMachineInstructionDataArgs, MintFromCandyMachineInstructionData>;
export declare function mintFromCandyMachine(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MintFromCandyMachineInstructionAccounts): TransactionBuilder;
