import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintFromCandyMachineV2InstructionAccounts = {
    candyMachine: PublicKey;
    authorityPda?: PublicKey;
    mintAuthority: Signer;
    payer?: Signer;
    nftOwner: PublicKey;
    nftMint: PublicKey | Signer;
    nftMintAuthority?: Signer;
    nftMetadata?: PublicKey;
    nftMasterEdition?: PublicKey;
    token?: PublicKey;
    tokenRecord?: PublicKey;
    collectionDelegateRecord?: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: PublicKey;
    tokenMetadataProgram?: PublicKey;
    splTokenProgram?: PublicKey;
    splAtaProgram?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    recentSlothashes?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type MintFromCandyMachineV2InstructionData = {
    discriminator: Array<number>;
};
export type MintFromCandyMachineV2InstructionDataArgs = {};
export declare function getMintFromCandyMachineV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintFromCandyMachineV2InstructionDataArgs, MintFromCandyMachineV2InstructionData>;
export declare function mintFromCandyMachineV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MintFromCandyMachineV2InstructionAccounts): TransactionBuilder;
