import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintV2InstructionAccounts = {
    candyGuard?: PublicKey;
    candyMachineProgram?: PublicKey;
    candyMachine: PublicKey;
    candyMachineAuthorityPda?: PublicKey;
    payer?: Signer;
    minter?: Signer;
    nftMint: PublicKey | Signer;
    nftMintAuthority?: Signer;
    nftMetadata?: PublicKey;
    nftMasterEdition?: PublicKey;
    token?: PublicKey;
    tokenRecord?: PublicKey;
    collectionDelegateRecord?: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionMasterEdition?: PublicKey;
    collectionUpdateAuthority: PublicKey;
    tokenMetadataProgram?: PublicKey;
    splTokenProgram?: PublicKey;
    splAtaProgram?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    recentSlothashes?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type MintV2InstructionData = {
    discriminator: Array<number>;
    mintArgs: Uint8Array;
    group: Option<string>;
};
export type MintV2InstructionDataArgs = {
    mintArgs: Uint8Array;
    group: Option<string>;
};
export declare function getMintV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintV2InstructionDataArgs, MintV2InstructionData>;
export declare function mintV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MintV2InstructionAccounts & MintV2InstructionDataArgs): TransactionBuilder;
