import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { GuardType, GuardTypeArgs } from '../types';
export type RouteInstructionAccounts = {
    candyGuard?: PublicKey;
    candyMachine: PublicKey;
    payer?: Signer;
};
export type RouteInstructionData = {
    discriminator: Array<number>;
    guard: GuardType;
    data: Uint8Array;
    group: Option<string>;
};
export type RouteInstructionDataArgs = {
    guard: GuardTypeArgs;
    data: Uint8Array;
    group: Option<string>;
};
export declare function getRouteInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RouteInstructionDataArgs, RouteInstructionData>;
export declare function route(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'payer'>, input: RouteInstructionAccounts & RouteInstructionDataArgs): TransactionBuilder;
