"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCandyGuardAuthority = exports.getSetCandyGuardAuthorityInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetCandyGuardAuthorityInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['newAuthority', s.publicKey()],
    ], { description: 'SetCandyGuardAuthorityInstructionData' }), (value) => ({
        ...value,
        discriminator: [133, 250, 37, 21, 110, 163, 26, 121],
    }));
}
exports.getSetCandyGuardAuthorityInstructionDataSerializer = getSetCandyGuardAuthorityInstructionDataSerializer;
function setCandyGuardAuthority(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    const candyGuardAccount = input.candyGuard;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyGuardAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyGuardAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    const data = getSetCandyGuardAuthorityInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.setCandyGuardAuthority = setCandyGuardAuthority;
//# sourceMappingURL=setCandyGuardAuthority.js.map