"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCandyMachineAuthority = exports.getSetCandyMachineAuthorityInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetCandyMachineAuthorityInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['newAuthority', s.publicKey()],
    ], { description: 'SetCandyMachineAuthorityInstructionData' }), (value) => ({
        ...value,
        discriminator: [133, 250, 37, 21, 110, 163, 26, 121],
    }));
}
exports.getSetCandyMachineAuthorityInstructionDataSerializer = getSetCandyMachineAuthorityInstructionDataSerializer;
function setCandyMachineAuthority(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyMachineCore', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR');
    const candyMachineAccount = input.candyMachine;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    const data = getSetCandyMachineAuthorityInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.setCandyMachineAuthority = setCandyMachineAuthority;
//# sourceMappingURL=setCandyMachineAuthority.js.map