import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type SetCollectionInstructionAccounts = {
    candyMachine: PublicKey;
    authority?: Signer;
    authorityPda?: PublicKey;
    payer?: Signer;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionAuthorityRecord?: PublicKey;
    newCollectionUpdateAuthority: Signer;
    newCollectionMetadata?: PublicKey;
    newCollectionMint: PublicKey;
    newCollectionMasterEdition?: PublicKey;
    newCollectionAuthorityRecord?: PublicKey;
    tokenMetadataProgram?: PublicKey;
    systemProgram?: PublicKey;
};
export type SetCollectionInstructionData = {
    discriminator: Array<number>;
};
export type SetCollectionInstructionDataArgs = {};
export declare function getSetCollectionInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetCollectionInstructionDataArgs, SetCollectionInstructionData>;
export declare function setCollection(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: SetCollectionInstructionAccounts): TransactionBuilder;
