import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type SetCollectionV2InstructionAccounts = {
    candyMachine: PublicKey;
    authority?: Signer;
    authorityPda?: PublicKey;
    payer?: Signer;
    collectionUpdateAuthority: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionDelegateRecord?: PublicKey;
    newCollectionUpdateAuthority: Signer;
    newCollectionMint: PublicKey;
    newCollectionMetadata?: PublicKey;
    newCollectionMasterEdition?: PublicKey;
    newCollectionDelegateRecord?: PublicKey;
    tokenMetadataProgram?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type SetCollectionV2InstructionData = {
    discriminator: Array<number>;
};
export type SetCollectionV2InstructionDataArgs = {};
export declare function getSetCollectionV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetCollectionV2InstructionDataArgs, SetCollectionV2InstructionData>;
export declare function setCollectionV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: SetCollectionV2InstructionAccounts): TransactionBuilder;
