"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setMintAuthority = exports.getSetMintAuthorityInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetMintAuthorityInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.array(s.u8(), { size: 8 })]], { description: 'SetMintAuthorityInstructionData' }), (value) => ({
        ...value,
        discriminator: [67, 127, 155, 187, 100, 174, 103, 121],
    }));
}
exports.getSetMintAuthorityInstructionDataSerializer = getSetMintAuthorityInstructionDataSerializer;
function setMintAuthority(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyMachineCore', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR');
    const candyMachineAccount = input.candyMachine;
    const authorityAccount = input.authority ?? context.identity;
    const mintAuthorityAccount = input.mintAuthority;
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    signers.push(mintAuthorityAccount);
    keys.push({
        pubkey: mintAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(mintAuthorityAccount, false),
    });
    const data = getSetMintAuthorityInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.setMintAuthority = setMintAuthority;
//# sourceMappingURL=setMintAuthority.js.map