import { TokenStandard, TokenStandardArgs } from '@metaplex-foundation/mpl-token-metadata';
import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type SetTokenStandardInstructionAccounts = {
    candyMachine: PublicKey;
    authority?: Signer;
    authorityPda?: PublicKey;
    payer?: Signer;
    ruleSet?: PublicKey;
    collectionDelegateRecord?: PublicKey;
    collectionMint: PublicKey;
    collectionMetadata?: PublicKey;
    collectionAuthorityRecord?: PublicKey;
    collectionUpdateAuthority: Signer;
    tokenMetadataProgram?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type SetTokenStandardInstructionData = {
    discriminator: Array<number>;
    tokenStandard: TokenStandard;
};
export type SetTokenStandardInstructionDataArgs = {
    tokenStandard: TokenStandardArgs;
};
export declare function getSetTokenStandardInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetTokenStandardInstructionDataArgs, SetTokenStandardInstructionData>;
export declare function setTokenStandard(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: SetTokenStandardInstructionAccounts & SetTokenStandardInstructionDataArgs): TransactionBuilder;
