"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unwrap = exports.getUnwrapInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getUnwrapInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.array(s.u8(), { size: 8 })]], { description: 'UnwrapInstructionData' }), (value) => ({
        ...value,
        discriminator: [126, 175, 198, 14, 212, 69, 50, 44],
    }));
}
exports.getUnwrapInstructionDataSerializer = getUnwrapInstructionDataSerializer;
function unwrap(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    const candyGuardAccount = input.candyGuard;
    const authorityAccount = input.authority ?? context.identity;
    const candyMachineAccount = input.candyMachine;
    const candyMachineAuthorityAccount = input.candyMachineAuthority ?? context.identity;
    const candyMachineProgramAccount = input.candyMachineProgram ?? {
        ...context.programs.getPublicKey('mplCandyMachine', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR'),
        isWritable: false,
    };
    keys.push({
        pubkey: candyGuardAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyGuardAccount, false),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(candyMachineAuthorityAccount);
    keys.push({
        pubkey: candyMachineAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAuthorityAccount, false),
    });
    keys.push({
        pubkey: candyMachineProgramAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineProgramAccount, false),
    });
    const data = getUnwrapInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.unwrap = unwrap;
//# sourceMappingURL=unwrap.js.map