"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateCandyGuard = exports.getUpdateCandyGuardInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getUpdateCandyGuardInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['data', s.bytes()],
    ], { description: 'UpdateCandyGuardInstructionData' }), (value) => ({
        ...value,
        discriminator: [219, 200, 88, 176, 158, 63, 253, 127],
    }));
}
exports.getUpdateCandyGuardInstructionDataSerializer = getUpdateCandyGuardInstructionDataSerializer;
function updateCandyGuard(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyGuard', 'Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
    const candyGuardAccount = input.candyGuard;
    const authorityAccount = input.authority ?? context.identity;
    const payerAccount = input.payer ?? context.payer;
    const systemProgramAccount = input.systemProgram ?? {
        ...context.programs.getPublicKey('splSystem', '11111111111111111111111111111111'),
        isWritable: false,
    };
    keys.push({
        pubkey: candyGuardAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyGuardAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    signers.push(payerAccount);
    keys.push({
        pubkey: payerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(payerAccount, false),
    });
    keys.push({
        pubkey: systemProgramAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(systemProgramAccount, false),
    });
    const data = getUpdateCandyGuardInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.updateCandyGuard = updateCandyGuard;
//# sourceMappingURL=updateCandyGuard.js.map