"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateCandyMachine = exports.getUpdateCandyMachineInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getUpdateCandyMachineInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['data', (0, types_1.getCandyMachineDataSerializer)(context)],
    ], { description: 'UpdateCandyMachineInstructionData' }), (value) => ({
        ...value,
        discriminator: [219, 200, 88, 176, 158, 63, 253, 127],
    }));
}
exports.getUpdateCandyMachineInstructionDataSerializer = getUpdateCandyMachineInstructionDataSerializer;
function updateCandyMachine(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplCandyMachineCore', 'CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR');
    const candyMachineAccount = input.candyMachine;
    const authorityAccount = input.authority ?? context.identity;
    keys.push({
        pubkey: candyMachineAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(candyMachineAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    const data = getUpdateCandyMachineInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.updateCandyMachine = updateCandyMachine;
//# sourceMappingURL=updateCandyMachine.js.map