"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMplCandyGuardProgramId = exports.getMplCandyGuardProgram = exports.createMplCandyGuardProgram = exports.MPL_CANDY_GUARD_PROGRAM_ID = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const errors_1 = require("../errors");
exports.MPL_CANDY_GUARD_PROGRAM_ID = (0, umi_1.publicKey)('Guard1JwRhJkVH6XZhzoYxeBVQe872VH6QggF4BWmS9g');
function createMplCandyGuardProgram() {
    return {
        name: 'mplCandyGuard',
        publicKey: exports.MPL_CANDY_GUARD_PROGRAM_ID,
        getErrorFromCode(code, cause) {
            return (0, errors_1.getMplCandyGuardErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getMplCandyGuardErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.createMplCandyGuardProgram = createMplCandyGuardProgram;
function getMplCandyGuardProgram(context, clusterFilter) {
    return context.programs.get('mplCandyGuard', clusterFilter);
}
exports.getMplCandyGuardProgram = getMplCandyGuardProgram;
function getMplCandyGuardProgramId(context, clusterFilter) {
    return context.programs.getPublicKey('mplCandyGuard', exports.MPL_CANDY_GUARD_PROGRAM_ID, clusterFilter);
}
exports.getMplCandyGuardProgramId = getMplCandyGuardProgramId;
//# sourceMappingURL=mplCandyGuard.js.map