import { TokenStandard, TokenStandardArgs } from '@metaplex-foundation/mpl-token-metadata';
import { Context, PublicKey, Serializer } from '@metaplex-foundation/umi';
import { AccountVersion, AccountVersionArgs, CandyMachineData, CandyMachineDataArgs } from '.';
export type CandyMachineAccountData = {
    discriminator: Array<number>;
    version: AccountVersion;
    tokenStandard: TokenStandard;
    features: Array<number>;
    authority: PublicKey;
    mintAuthority: PublicKey;
    collectionMint: PublicKey;
    itemsRedeemed: bigint;
    data: CandyMachineData;
};
export type CandyMachineAccountDataArgs = {
    version: AccountVersionArgs;
    tokenStandard: TokenStandardArgs;
    features: Array<number>;
    authority: PublicKey;
    mintAuthority: PublicKey;
    collectionMint: PublicKey;
    itemsRedeemed: number | bigint;
    data: CandyMachineDataArgs;
};
export declare function getCandyMachineAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CandyMachineAccountDataArgs, CandyMachineAccountData>;
