"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCandyMachineAccountDataSerializer = void 0;
const mpl_token_metadata_1 = require("@metaplex-foundation/mpl-token-metadata");
const umi_1 = require("@metaplex-foundation/umi");
const _1 = require(".");
function getCandyMachineAccountDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.array(s.u8(), { size: 8 })],
        ['version', (0, _1.getAccountVersionSerializer)(context)],
        ['tokenStandard', (0, mpl_token_metadata_1.getTokenStandardSerializer)(context)],
        ['features', s.array(s.u8(), { size: 6 })],
        ['authority', s.publicKey()],
        ['mintAuthority', s.publicKey()],
        ['collectionMint', s.publicKey()],
        ['itemsRedeemed', s.u64()],
        ['data', (0, _1.getCandyMachineDataSerializer)(context)],
    ], { description: 'CandyMachine' }), (value) => ({
        ...value,
        discriminator: [115, 157, 18, 166, 35, 44, 221, 13],
    }));
}
exports.getCandyMachineAccountDataSerializer = getCandyMachineAccountDataSerializer;
//# sourceMappingURL=candyMachineAccountData.js.map