import { Amount, Context, Option, Serializer } from '@metaplex-foundation/umi';
import { ConfigLineSettings, ConfigLineSettingsArgs, Creator, CreatorArgs, HiddenSettings, HiddenSettingsArgs } from '.';
export type CandyMachineData = {
    itemsAvailable: bigint;
    symbol: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply: bigint;
    isMutable: boolean;
    creators: Array<Creator>;
    configLineSettings: Option<ConfigLineSettings>;
    hiddenSettings: Option<HiddenSettings>;
};
export type CandyMachineDataArgs = {
    itemsAvailable: number | bigint;
    symbol: string;
    sellerFeeBasisPoints: Amount<'%', 2>;
    maxEditionSupply: number | bigint;
    isMutable: boolean;
    creators: Array<CreatorArgs>;
    configLineSettings: Option<ConfigLineSettingsArgs>;
    hiddenSettings: Option<HiddenSettingsArgs>;
};
export declare function getCandyMachineDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CandyMachineDataArgs, CandyMachineData>;
