"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCandyMachineDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const _1 = require(".");
function getCandyMachineDataSerializer(context) {
    const s = context.serializer;
    return s.struct([
        ['itemsAvailable', s.u64()],
        ['symbol', s.string()],
        ['sellerFeeBasisPoints', (0, umi_1.mapAmountSerializer)(s.u16(), '%', 2)],
        ['maxEditionSupply', s.u64()],
        ['isMutable', s.bool()],
        ['creators', s.array((0, _1.getCreatorSerializer)(context))],
        [
            'configLineSettings',
            s.option((0, _1.getConfigLineSettingsSerializer)(context)),
        ],
        ['hiddenSettings', s.option((0, _1.getHiddenSettingsSerializer)(context))],
    ], { description: 'CandyMachineData' });
}
exports.getCandyMachineDataSerializer = getCandyMachineDataSerializer;
//# sourceMappingURL=candyMachineData.js.map