import { Context, PublicKey, Serializer, Signer } from '@metaplex-foundation/umi';
export type GuardManifest<DA extends object = {}, D extends DA = DA, MA extends object = {}, RA extends object = {}> = {
    name: string;
    serializer: (context: Pick<Context, 'serializer'>) => Serializer<DA, D>;
    mintParser: MintParser<MA>;
    routeParser: RouteParser<RA>;
};
export type MintParser<MA extends object> = (context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, mintContext: MintContext, args: MA) => GuardInstructionExtras;
export type RouteParser<RA extends object> = (context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, routeContext: RouteContext, args: RA) => GuardInstructionExtras;
export declare const noopParser: MintParser<{}> & RouteParser<{}>;
export type MintContext = {
    minter: Signer;
    payer: Signer;
    mint: PublicKey;
    candyMachine: PublicKey;
    candyGuard: PublicKey;
};
export type RouteContext = Omit<MintContext, 'minter' | 'mint'>;
export type GuardInstructionExtras = {
    data: Uint8Array;
    remainingAccounts: GuardRemainingAccount[];
};
export type GuardRemainingAccount = {
    publicKey: PublicKey;
    isWritable: boolean;
} | {
    signer: Signer;
    isWritable: boolean;
};
