import { Context, Program } from '@metaplex-foundation/umi';
import { GuardManifest } from './guardManifest';
export type AnyGuardManifest = GuardManifest<any, any, any, any>;
export type CandyGuardProgram = Program & {
    availableGuards: string[];
};
export interface GuardRepository {
    add(...manifests: AnyGuardManifest[]): void;
    get<T extends AnyGuardManifest = AnyGuardManifest>(name: string): T;
    all(): AnyGuardManifest[];
    forProgram(program: CandyGuardProgram): AnyGuardManifest[];
}
export declare class DefaultGuardRepository implements GuardRepository {
    readonly context: Pick<Context, 'serializer'>;
    protected readonly manifests: Map<string, AnyGuardManifest>;
    constructor(context: Pick<Context, 'serializer'>);
    add(...manifests: AnyGuardManifest[]): void;
    get<T extends AnyGuardManifest = AnyGuardManifest>(name: string): T;
    all(): AnyGuardManifest[];
    forProgram(program: CandyGuardProgram): AnyGuardManifest[];
}
