import { AccountMeta, Context, Option, Serializer, Signer } from '@metaplex-foundation/umi';
import { GuardInstructionExtras, GuardRemainingAccount, MintContext, RouteContext } from './guardManifest';
import { CandyGuardProgram, GuardRepository } from './guardRepository';
export type GuardSetArgs = {
    [name: string]: Option<object>;
};
export type GuardSet = {
    [name: string]: Option<object>;
};
export type GuardSetMintArgs = {
    [name: string]: Option<object>;
};
export type GuardSetRouteArgs = {
    [name: string]: object;
};
export declare function getGuardSetSerializer<DA extends GuardSetArgs, D extends DA & GuardSet = DA>(context: Pick<Context, 'serializer'> & {
    guards: GuardRepository;
}, program: CandyGuardProgram): Serializer<Partial<DA>, D>;
export declare function parseMintArgs<MA extends GuardSetMintArgs>(context: Pick<Context, 'serializer' | 'eddsa' | 'programs'> & {
    guards: GuardRepository;
}, program: CandyGuardProgram, mintContext: MintContext, mintArgs: Partial<MA>): GuardInstructionExtras;
export declare function parseRouteArgs<G extends keyof RA & string, RA extends GuardSetRouteArgs>(context: Pick<Context, 'serializer' | 'eddsa' | 'programs'> & {
    guards: GuardRepository;
}, program: CandyGuardProgram, routeContext: RouteContext, guard: G, routeArgs: RA[G]): GuardInstructionExtras & {
    guardIndex: number;
};
export declare function parseGuardRemainingAccounts(remainingAccounts: GuardRemainingAccount[]): [AccountMeta[], Signer[]];
