import { Context, Option, PublicKey, Serializer } from '@metaplex-foundation/umi';
import { CandyMachineAccountData as BaseCandyMachineAccountData, CandyMachineAccountDataArgs as BaseCandyMachineAccountDataArgs } from '../generated/types/candyMachineAccountData';
export type CandyMachineAccountData = BaseCandyMachineAccountData & {
    itemsLoaded: number;
    items: CandyMachineItem[];
    ruleSet: Option<PublicKey>;
};
export type CandyMachineAccountDataArgs = BaseCandyMachineAccountDataArgs;
export type CandyMachineItem = {
    readonly index: number;
    readonly minted: boolean;
    readonly name: string;
    readonly uri: string;
};
export declare function getCandyMachineAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CandyMachineAccountDataArgs, CandyMachineAccountData>;
