"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMerkleProofAtIndex = exports.getMerkleProof = exports.getMerkleRoot = exports.getMerkleTree = void 0;
const merkletreejs_1 = require("merkletreejs");
const sha3_1 = require("@noble/hashes/sha3");
const getMerkleTree = (data) => new merkletreejs_1.MerkleTree(data.map(sha3_1.keccak_256), sha3_1.keccak_256, {
    sortPairs: true,
});
exports.getMerkleTree = getMerkleTree;
const getMerkleRoot = (data) => (0, exports.getMerkleTree)(data).getRoot();
exports.getMerkleRoot = getMerkleRoot;
const getMerkleProof = (data, leaf, index) => (0, exports.getMerkleTree)(data)
    .getProof(Buffer.from((0, sha3_1.keccak_256)(leaf)), index)
    .map((proofItem) => proofItem.data);
exports.getMerkleProof = getMerkleProof;
const getMerkleProofAtIndex = (data, index) => (0, exports.getMerkleProof)(data, data[index], index);
exports.getMerkleProofAtIndex = getMerkleProofAtIndex;
//# sourceMappingURL=merkle.js.map