import { Option, TransactionBuilder } from '@metaplex-foundation/umi';
import { DefaultGuardSetMintArgs } from './defaultGuards';
import { mint as baseMint, MintInstructionAccounts } from './generated/instructions/mint';
import { GuardRepository, GuardSetMintArgs } from './guards';
export { MintInstructionAccounts };
export type MintInstructionData<MA extends GuardSetMintArgs> = {
    discriminator: Array<number>;
    mintArgs: MA;
    group: Option<string>;
};
export type MintInstructionDataArgs<MA extends GuardSetMintArgs> = {
    mintArgs?: Partial<MA>;
    group?: Option<string>;
};
export declare function mint<MA extends GuardSetMintArgs = DefaultGuardSetMintArgs>(context: Parameters<typeof baseMint>[0] & {
    guards: GuardRepository;
}, input: MintInstructionAccounts & MintInstructionDataArgs<MA extends undefined ? DefaultGuardSetMintArgs : MA>): TransactionBuilder;
