import { TokenStandard } from '@metaplex-foundation/mpl-token-metadata';
import { Option, TransactionBuilder } from '@metaplex-foundation/umi';
import { DefaultGuardSetMintArgs } from './defaultGuards';
import { mintV2 as baseMintV2, MintV2InstructionAccounts } from './generated/instructions/mintV2';
import { GuardRepository, GuardSetMintArgs } from './guards';
export { MintV2InstructionAccounts };
export type MintV2InstructionData<MA extends GuardSetMintArgs> = {
    discriminator: Array<number>;
    mintArgs: MA;
    group: Option<string>;
};
export type MintV2InstructionDataArgs<MA extends GuardSetMintArgs> = {
    mintArgs?: Partial<MA>;
    group?: Option<string>;
    tokenStandard?: TokenStandard;
};
export declare function mintV2<MA extends GuardSetMintArgs = DefaultGuardSetMintArgs>(context: Parameters<typeof baseMintV2>[0] & {
    guards: GuardRepository;
}, input: MintV2InstructionAccounts & MintV2InstructionDataArgs<MA extends undefined ? DefaultGuardSetMintArgs : MA>): TransactionBuilder;
